DB=$1
COUNT=$2

for i in `seq 1 $COUNT`; do
    t=`psql $DB -c "EXPLAIN ANALYZE SELECT * FROM t1 JOIN t2 USING (a)" | grep 'Planning' | awk '{print $3}'`
    echo "t1/t2" $t
done

for i in `seq 1 $COUNT`; do
    t=`psql $DB -c "EXPLAIN ANALYZE SELECT * FROM t3 JOIN t4 USING (a)" | grep 'Planning' | awk '{print $3}'`
    echo "t3/t4" $t
done

for i in `seq 1 $COUNT`; do
    t=`psql $DB -c "EXPLAIN ANALYZE SELECT * FROM t5 JOIN t6 USING (a,b,c,d)" | grep 'Planning' | awk '{print $3}'`
    echo "t5/t6" $t
done

for i in `seq 1 $COUNT`; do
    t=`psql $DB -c "EXPLAIN ANALYZE SELECT * FROM t7 JOIN t8 USING (a,b,c,d)" | grep 'Planning' | awk '{print $3}'`
    echo "t7/t8" $t
done
